# PropertyEstimatorSubmission

class `propertyestimator.client.``PropertyEstimatorSubmission`(properties=None, force_field_source=None, options=None, parameter_gradient_keys=None)

  Represents a set of properties to be estimated by the server backend, the parameters which will be used to estimate them, and options about how the properties will be estimated.

  Warning

  This class is still heavily under development and is subject to rapid changes.

  `properties`

    The list of physical properties to estimate.

    Type

      list of PhysicalProperty

  `options`

    The options which control how the properties are estimated.

    Type

      PropertyEstimatorOptions

  `force_field_source`

    The source of the force field parameters used during the calculations.

    Type

      ForceFieldSource

  `__init__`(properties=None, force_field_source=None, options=None, parameter_gradient_keys=None)

    Constructs a new PropertyEstimatorSubmission object.

    Parameters

      - properties (list of PhysicalProperty) – The list of physical properties to estimate.

      - options (PropertyEstimatorOptions) – The options which control how the properties are estimated.

      - force_field_source (ForceFieldSource) – The source of the force field parameters used during the calculations.

      - parameter_gradient_keys (list of ParameterGradientKey) – A list of references to all of the parameters which all observables should be differentiated with respect to.

  Methods

  `__init__`([properties, force_field_source, …]) | Constructs a new PropertyEstimatorSubmission object.
  `json`() | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.

  `json`()

    Creates a JSON representation of this class.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any